ASSERT(3)

NAME
assert - expression verification macro

SYNOPSIS
#include <assert.h>
assert(expression);

DESCRIPTION
The assert() macro tests the given expression and if it is false, the calling process is terminated. A diagnostic message is written to the stderr and the function abort(3) is called effectively terminating the program.

If expression is true, the assert() macro does nothing.

The assert() macro may be removed at compile time with the -NDEBUG option, see cc(1).

DIAGNOSTICS
The following diagnostic message is written to stderr if expression is false:

    "assertion \"%s\" failed: file \"%s\", line %d, \
    		    "expression", __FILE__, __LINE__);

HISTORY
A assert macro appeared in AT&T UNIX.